# module ActiveLdap::Operations::ClassOnlyDelete

### Public Instance Methods

delete(targets, options={}) click to toggle source

    # File lib/active_ldap/operations.rb, line 548
    def delete(targets, options={})
      targets = [targets] unless targets.is_a?(Array)
      targets = targets.collect do |target|
        ensure_dn_attribute(ensure_base(target))
      end
      delete_entry(targets, options)
    end

destroy(targets, options={}) click to toggle source

    # File lib/active_ldap/operations.rb, line 541
    def destroy(targets, options={})
      targets = [targets] unless targets.is_a?(Array)
      targets.each do |target|
        find(target, options).destroy
      end
    end